Part3 Developers

Client project revoke

DELETE /client/{id}/projects/{projectId}

Remove a project restriction

DELETE
/client/{id}/projects/{projectId}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Internal client UUID (the id field returned by client list / detail endpoints, NOT the public clientId).

projectId*string

Project UID to remove from the restriction list.

Query Parameters

orgId?string

Required. Org UID the project belongs to.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.part3.io/v1/client/4f5e6d7c-8b9a-4d2e-a3f5-678c9d0e1f2a/projects/proj_5f9a3c2e8b"
{
  "deleted": "4f5e6d7c-8b9a-4d2e-a3f5-678c9d0e1f2a",
  "granted": {},
  "revoked": {}
}
{
  "error": "Client token required"
}
{
  "error": "Client token required"
}
{
  "error": "Client token required"
}